bdi4jade.reasoning

## Class DefaultAgentBeliefRevisionStrategy

- java.lang.Object
- - bdi4jade.reasoning.AbstractAgentReasoningStrategy
  - - bdi4jade.reasoning.DefaultAgentBeliefRevisionStrategy

- All Implemented Interfaces:
    AgentBeliefRevisionStrategy, AgentReasoningStrategy

      public class DefaultAgentBeliefRevisionStrategy
      extends AbstractAgentReasoningStrategy
      implements AgentBeliefRevisionStrategy

  This class is the default implementation of the strategy `AgentBeliefRevisionStrategy`. It requests each of its capabilities to review their individual set of beliefs.
  Author:
    Ingrid Nunes

- - ### Field Summary

    - ### Fields inherited from class bdi4jade.reasoning.AbstractAgentReasoningStrategy

      `agent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultAgentBeliefRevisionStrategy()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `reviewBeliefs()` This default implementation requests each of its capabilities (including associated and composed capabilities) to review their individual set of beliefs.

    - ### Methods inherited from class bdi4jade.reasoning.AbstractAgentReasoningStrategy

      `setAgent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface bdi4jade.reasoning.AgentReasoningStrategy

      `setAgent`

- - ### Constructor Detail

    - #### DefaultAgentBeliefRevisionStrategy

          public DefaultAgentBeliefRevisionStrategy()

  - ### Method Detail

    - #### reviewBeliefs

          public void reviewBeliefs()

      This default implementation requests each of its capabilities (including associated and composed capabilities) to review their individual set of beliefs.
      Specified by:
        `reviewBeliefs` in interface `AgentBeliefRevisionStrategy`
      See Also:
        `AgentBeliefRevisionStrategy.reviewBeliefs()`